package com.tzld.piaoquan.wecom.controller;


import com.tzld.piaoquan.wecom.common.base.CommonResponse;
import com.tzld.piaoquan.wecom.model.vo.MiniprogramVo;
import com.tzld.piaoquan.wecom.service.MessageAttachmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/wecom/message")
public class MessageController {

    @Autowired
    private MessageAttachmentService messageAttachmentService;

    @PostMapping("/miniprogram/guaranteed/create")
    public CommonResponse<Void> createGuaranteedMiniprogram(@RequestBody List<MiniprogramVo> miniprogramVoList){
        messageAttachmentService.createGuaranteedMiniprogram(miniprogramVoList);
        return CommonResponse.success();
    }


}
